package ink.wgink.login.base.consts;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IUserCenterConst
 * @Description: 统一用户常量
 * @Author: WangGeng
 * @Date: 2020/5/25 6:16 下午
 * @Version: 1.0
 **/
public interface IUserCenterConst {

    String ERROR = "error";
    /**
     * 错误信息
     */
    String ERROR_MESSAGE = "errorMessage";
    /**
     * 登录背景图片
     */
    String LOGIN_BACKGROUND_IMAGES = "loginBackgroundImages";
    /**
     * 系统标题
     */
    String SYSTEM_TITLE = "systemTitle";
    /**
     * 系统标题字体大小
     */
    String SYSTEM_TITLE_SIZE = "systemTitleSize";
    /**
     * 系统子标题
     */
    String SYSTEM_SUB_TITLE = "systemSubTitle";
    /**
     * 系统子标题大小
     */
    String SYSTEM_SUB_TITLE_SIZE = "systemSubTitleSize";
    /**
     * 版权年份
     */
    String COPY_RIGHT_YEAR = "copyRightYear";
    /**
     * 版权所属
     */
    String COPY_LEFT = "copyleft";
    /**
     * 官方链接
     */
    String OFFICIAL_URL = "officialUrl";
    /**
     * uKey登录
     */
    String UKEY_LOGIN = "uKeyLogin";
    /**
     * 访问地址
     */
    String SERVER_URL = "serverUrl";
    /**
     * 系统LOGO
     */
    String SYSTEM_LOGO = "systemLogo";
    /**
     * 扫码登录类型
     */
    String SCAN_CODE_LOGIN = "scanCodeLogin";
    /**
     * 钉钉扫码
     */
    String DING_DING_SCAN_CODE = "dingDingScanCode";
    /**
     * 钉钉扫码appId
     */
    String DING_DING_SCAN_CODE_APP_ID = "dingDingScanCodeAppId";
    /**
     * 登录框位置
     */
    String LOGIN_BOX_POSITION = "loginBoxPosition";
    /**
     * 菜单模式
     */
    String MENU_MODE = "menuMode";
    /**
     * 登录页面
     */
    String LOGIN_PAGE = "loginPage";
}
