package ink.wgink.module.wechat.pojo.pos.miniapp;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MiniAppUserPO
 * @Description: 小程序用户
 * @Author: wanggeng
 * @Date: 2021/4/8 5:49 下午
 * @Version: 1.0
 */
public class MiniAppUserPO implements Serializable {

    private static final long serialVersionUID = -8186629510739913926L;
    private String appId;
    private String openId;
    private String userId;
    private Integer isInitAccount;
    private String gmtCreate;

    public String getAppId() {
        return appId == null ? "" : appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getOpenId() {
        return openId == null ? "" : openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getUserId() {
        return userId == null ? "" : userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getIsInitAccount() {
        return isInitAccount == null ? 0 : isInitAccount;
    }

    public void setIsInitAccount(Integer isInitAccount) {
        this.isInitAccount = isInitAccount;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
